/*
 * Java
 *
 * Copyright 2019 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package ej.audio;

/**
 * Class representing an audio file.
 */
public class AudioFile {
	/**
	 * This method constructs an {@link AudioFile}.
	 *
	 * @param name
	 *            Filename.
	 * @param channel
	 *            AudioChannel selected.
	 * @param bitLength
	 *            BitLength of the audio file.
	 * @param samplingRateLength
	 *            Sampling rate in Hz.
	 * @param codec
	 *            Format of encoded audio.
	 */
	public AudioFile(String name, int channel, int bitLength, int samplingRateLength,
			int codec) {
		throw new RuntimeException();
	}

	/**
	 * Get the name of the {@link AudioFile}.
	 *
	 * @return name
	 */
	public String getName() {
		throw new RuntimeException();
	}

	/**
	 * Get audio channel number.
	 *
	 * @return channel.
	 */
	public int getChannel() {
		throw new RuntimeException();
	}

	/**
	 * Get the attributes representing the audio codec.
	 *
	 * @return integer representing the encoding format.
	 */
	public int getCodec() {
		throw new RuntimeException();
	}

	/**
	 * Get sampling rate.
	 *
	 * @return sampling rate of the AudioFile.
	 */
	public int getSamplingRate() {
		throw new RuntimeException();
	}

	/**
	 * Get bit length attribute.
	 *
	 * @return bit length of the Audio file.
	 */
	public int getBitLength() {
		throw new RuntimeException();
	}


	/**
	 * Integer constant meaning MP3 Audio encoding.
	 */
	public static final int AUDIO_CODEC_MP3 = 0;

	/**
	 * Integer constant meaning WAV Audio encoding.
	 */
	public static final int AUDIO_CODEC_WAV = 1;

	/**
	 * Integer constant representing a bit length of 16.
	 */
	public static final int BITLENGTH_16 = 16;
	/**
	 * Integer constant representing a bit length of 24.
	 */
	public static final int BITLENGTH_24 = 24;
	/**
	 * Integer constant representing a bit length of 32.
	 */
	public static final int BITLENGTH_32 = 32;

	/**
	 * Integer constant representing mono audio channel.
	 */
	public static final int AS_CHANNEL_MONO = 1;

	/**
	 * Integer constant representing stereo audio channel.
	 */
	public static final int AS_CHANNEL_STEREO = 2;

	/**
	 * Integer constant representing 4 channel Audio.
	 */
	public static final int AS_CHANNEL_4CH = 4;

	/**
	 * Integer constant representing 6 channel audio.
	 *
	 */
	public static final int AS_CHANNEL_6CH = 6;

	/**
	 * Integer constant representing 8 channel audio.
	 */
	public static final int AS_CHANNEL_8CH = 8;
}
