/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver;



/**
 *
 */
public class ControllerProxy extends DeviceProxy<Controller> implements Controller {
	@Override
	public void inclusionStart() {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}

	@Override
	public void inclusionStop() {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}

	@Override
	public int getExclusionMode() {
		try {
			return invokeInt();
		} catch (Throwable e) {
			return Controller.UNKNOWN;
		}
	}

	@Override
	public void exclusionStart() {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}

	@Override
	public void exclusionStop() {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}

	@Override
	public boolean start(ControllerListener listener) {
		try {
			return invokeBoolean();
		} catch (Throwable e) {
			return false;
		}
	}

	@Override
	public boolean isStarted() {
		try {
			return invokeBoolean();
		} catch (Throwable e) {
			return false;
		}
	}

	@Override
	public void stop() {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}

	@Override
	public ControllerListener getListener() {
		try {
			return (ControllerListener) invokeRef();
		} catch (Throwable e) {
			return null;
		}
	}

	@Override
	public int getState() {
		try {
			return invokeInt();
		} catch (Throwable e) {
			return Controller.UNKNOWN;
		}
	}
}
