/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver;

import java.io.IOException;



/**
 * 
 */
public class PowerMeterProxy extends DeviceProxy<PowerMeter> implements PowerMeter {

	@Override
	public int getInstantConsumption() {
		try {
			return invokeInt();
		} catch (Throwable e) {
			return PowerMeter.UNKNOWN_VALUE;
		}
	}

	@Override
	public void requestInstantConsumptionUpdate() throws IOException {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
			return;
		}
	}

	@Override
	public int getAccumulatedConsumption() {
		try {
			return invokeInt();
		} catch (Throwable e) {
			return PowerMeter.UNKNOWN_VALUE;
		}
	}

	@Override
	public void requestAccumulatedConsumptionUpdate() throws IOException {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
			return;
		}
	}

	@Override
	public void resetAccumulatedConsumption() {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}
}
