/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.style.font.filter;

import ej.microui.display.Font;

/**
 * Implementation that filters fonts on their size.
 */
public class FontSizeValueFilter implements Filter<Font> {

	private int size;

	/**
	 * Creates a font filter that filters font on the given size.
	 *
	 * @param size
	 *            the size to use for the filter.
	 */
	public FontSizeValueFilter(int size) {
		this.size = size;
	}

	/**
	 * Sets the size.
	 * 
	 * @param size
	 *            the size to use for the filter.
	 */
	public void setSize(int size) {
		this.size = size;
	}

	@Override
	public boolean accept(Font element) {
		return element.getHeight() == this.size;
	}

}
