/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.style.font.loader;

import java.util.logging.Logger;

import ej.style.font.FontProfile;
import ej.style.font.FontProfile.FontSize;

/**
 * Default implementation of font loader that always return the default font.
 */
public class DefaultFontLoader extends AbstractFontLoader {

	@Override
	protected int getFontHeight(FontProfile fontProfile) {
		if (fontProfile.getSize() == FontSize.LENGTH) {
			return fontProfile.getSizeValue();
		}
		Logger.getLogger(DefaultFontLoader.class.getName())
				.info(FontSize.class.getName() + '.' + fontProfile.getSize().name() + " size is not resolved.");
		return 0;
	}

}
