/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.wadapps.admin;


/**
 * Represents the product.
 */
public interface Product {

	/**
	 * Gets the firmware identifier.
	 * 
	 * @return the firmware identifier.
	 */
	String getFirmwareIdentifier();

	/**
	 * Gets the firmware version.
	 * 
	 * @return the firmware version.
	 */
	public String getFirmwareVersion();

	/**
	 * Gets the device identifier.
	 * 
	 * @return the device identifier.
	 */
	String getDeviceIdentifier();

	/**
	 * Gets the device reference identifier.
	 * 
	 * @return the device reference identifier
	 */
	String getDeviceReferenceIdentifier();
}
